package com.docus.server.reportmanager.util;

import lombok.Data;

import java.util.UUID;
import java.util.concurrent.ThreadLocalRandom;

@Data
public class IdUtil {
    /**
     * 得到一个标准的  8-4-4-4-12 UUID
     * @return 标准的 8-4-4-4-12 UUID
     */
    public  static String standardUUID(){
        ThreadLocalRandom random = ThreadLocalRandom.current();
        return (new UUID(random.nextLong(), random.nextLong())).toString();
    }

}
